Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2746493002: Reland of Statically link libprotobuf_lite on Linux (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 2 weeks ago by Tom (Use chromium acct)
Modified:
3 months, 1 week ago
Reviewers:
bengr, Peter Kasting
CC:
chromium-reviews, Dirk Pranke, Raghu Simha
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Reland of Statically link libprotobuf_lite on Linux Chrome has a direct dependency on a custom libprotobuf_lite in third_party, but Xenial and Yakkety add a dependency on the system libprotobuf-lite via Mir (which gets loaded from Gtk). Our third_party protobuf is not compatible with the upstream protobuf. Combine this with the fact that Xenial uses version 2 while Yakkety uses version 3, and it's basically impossible to make our third_party protobuf cooperate with the system one. The solution is to always statically link protobuf on Linux. BUG=79722, 700120 R=pkasting@chromium.org TBR=bengr@chromium.org CC=dpranke@chromium.org,rsimha@chromium.org CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_chromium_dbg_ng;master.tryserver.chromium.win:win_chromium_dbg_ng;master.tryserver.chromium.mac:mac_chromium_dbg_ng > Review-Url: https://codereview.chromium.org/2746493002 > Cr-Commit-Position: refs/heads/master@{#455936} > Committed: https://chromium.googlesource.com/chromium/src/+/4af1264005620a483a209f4344c3782f62eee69a

Patch Set 1 #

Patch Set 2 : Add dependency on protobuf_lite from net_unittests #

Patch Set 3 : [PROOF OF CONCEPT FIX, DO NOT LAND] #

Patch Set 4 : [FIX ODR ERROR, WIP, DO NOT LAND] #

Patch Set 5 : Refactor #

Patch Set 6 : Fix Win dbg #

Patch Set 7 : Really fix Win dbg #

Unified diffs Side-by-side diffs Delta from patch set Stats (+128 lines, -12 lines) Patch
M net/BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M third_party/protobuf/BUILD.gn View 1 2 3 4 5 6 3 chunks +34 lines, -2 lines 0 comments Download
M third_party/protobuf/README.chromium View 1 2 3 4 1 chunk +7 lines, -0 lines 0 comments Download
A third_party/protobuf/patches/0012-extract-globals.patch View 1 2 3 4 1 chunk +66 lines, -0 lines 0 comments Download
M third_party/protobuf/src/google/protobuf/generated_message_util.h View 1 2 3 4 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/protobuf/src/google/protobuf/generated_message_util.cc View 1 2 3 1 chunk +4 lines, -6 lines 0 comments Download
A third_party/protobuf/src/google/protobuf/globals.cc View 1 2 3 1 chunk +12 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 76 (65 generated)
Tom (Use chromium acct)
pkasting@ ptal
3 months, 2 weeks ago (2017-03-09 20:05:51 UTC) #1
Peter Kasting
LGTM
3 months, 2 weeks ago (2017-03-09 20:27:26 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2746493002/1
3 months, 2 weeks ago (2017-03-09 20:30:28 UTC) #4
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_compile_dbg_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_compile_dbg_ng/builds/253906)
3 months, 2 weeks ago (2017-03-09 21:12:29 UTC) #6
Tom (Use chromium acct)
TBR'ing bengr@ for a trivial change in //net net_unittests had a dependency on libprotobuf_lite (eg. ...
3 months, 2 weeks ago (2017-03-09 23:48:20 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2746493002/20001
3 months, 2 weeks ago (2017-03-10 00:56:27 UTC) #16
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://chromium.googlesource.com/chromium/src/+/4af1264005620a483a209f4344c3782f62eee69a
3 months, 2 weeks ago (2017-03-10 01:36:09 UTC) #19
kinuko
A revert of this CL (patchset #2 id:20001) has been created in https://codereview.chromium.org/2739203004/ by kinuko@chromium.org. ...
3 months, 2 weeks ago (2017-03-10 07:14:48 UTC) #20
bengr
lgtm
3 months, 1 week ago (2017-03-14 20:30:58 UTC) #27
Tom (Use chromium acct)
pkasting@ please take another look Maybe we should just revert the gtk3 switch in the ...
3 months, 1 week ago (2017-03-15 01:41:59 UTC) #40
Peter Kasting
3 months, 1 week ago (2017-03-15 06:34:56 UTC) #72
On 2017/03/15 01:41:59, Tom Anderson wrote:
> pkasting@ please take another look

This definitely seems saner, and is maybe something upstream would be willing to
accept.  I dunno.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318